## pandas 0.23.3+dfsg

=== debian/changelog ===
pandas (0.23.3+dfsg-4ubuntu1.1) eoan; urgency=medium

  * d/p/troubleshoot-CI-29294.patch: Partial cherry-pick from upstream master
    that fixes test_null_byte_char failure (LP: #1861124).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Jan 2020 10:30:44 -0500

pandas (0.23.3+dfsg-4ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Drop python2 support.
    + Drop the python2 autopkgtest.
    + Switch to using pybuild instead of python_distutils, without which
      the build fails due to undeclared dependency on the 'pyversions'
      command.
    + Fix wrong debian/source/options exclude.
  * Add crh_UA to skip_noencoding_locales.patch
  * Move files from /usr/lib/python3.7 to /usr/lib/python3

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 17 Sep 2019 10:31:58 +0000

pandas (0.23.3+dfsg-4) unstable; urgency=medium

  * Add self to Uploaders.
  * Recommend .xls format support also in Python 3.  (Closes: #880125)
  * Tests: don't call fixtures, as this is an error in pytest 4+.
  * Don't test datetime in locales with no encoding.
    (These are broken by a Python stdlib bug.)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 14 Sep 2019 16:37:43 +0100

pandas (0.23.3+dfsg-3ubuntu3) eoan; urgency=medium

  * Drop the python2 autopkgtest.
  * Switch to using pybuild instead of python_distutils, without which
    the build fails due to undeclared dependency on the 'pyversions'
    command.
  * Fix wrong debian/source/options exclude.
  * debian/patches/0001-CLN-reorg-groupby-to-multiple-modules-21820.patch,
    debian/patches/0001-TST-Fail-on-warning-22699.patch,
    debian/patches/pytest-4.patch:
    cherry-picks for compatibility with pytest 4.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Aug 2019 14:28:36 -0700

pandas (0.23.3+dfsg-3ubuntu2) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Aug 2019 13:40:24 -0700

pandas (0.23.3+dfsg-3ubuntu1) disco; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Skip python2 test_sum_overflow which OOMs on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 07 Mar 2019 12:48:23 +0000

pandas (0.23.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Make np.array @ Series act the right way round.  (Closes: #923708)
  * Replace #918206 fix with a fix that doesn't change the return type
    and inplace-ness of np.array += DataFrame.  (Closes: #923707)
  * Fix missing page in documentation.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 06 Mar 2019 22:19:34 +0000

pandas (0.23.3+dfsg-2ubuntu1) disco; urgency=medium

  * Skip python2 test_sum_overflow which OOMs on ppc64el 

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 06 Mar 2019 12:01:45 +0000

pandas (0.23.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Don't fail the build on +dfsg versions.
  * Fix another d/copyright issue.
  * Add d/upstream/metadata.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 02 Mar 2019 14:57:12 +0000

pandas (0.23.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Fix DataFrame @ np.array matrix multiplication.  (Closes: #918206)
  * Fix documentation build (Sphinx now defaults to Python 3).
    (Closes: #804552, LP: #1803018)
  * Add documentation examples dependencies.
  * Update d/copyright.
  * Remove unlicensed files.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 01 Mar 2019 23:02:18 +0000

pandas (0.23.3-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - many upstreamed patches are removed and others refreshed

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 28 Jul 2018 00:39:32 -0400
