=== debian/control ===
Source: pandas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Rebecca N. Palmer <rebecca_palmer@zoho.com>
Build-Depends: debhelper (>= 9),
               quilt,
               python3-nbsphinx | python3-sphinx (<= 1.4),
               python3-all-dev,
               python3-setuptools,
               cython3 (>= 0.17.1~) | cython (<< 0.17.1~),
               python3-bs4,
               python3-dateutil,
               python3-html5lib,
               python3-lxml,
               python3-matplotlib [!hurd-i386]| python-matplotlib (<< 1.2.0~) [!hurd-i386],
               python3-nose,
               python3-numpy (>= 1:1.7~),
               python3-openpyxl,
               python3-pytest,
               python3-scipy,
               python3-six,
               python3-sphinx (>= 1.0~),
               python3-tables [!m68k !sh4 !x32],
               python3-tk,
               python3-tz,
               python3-xlsxwriter,
               python3-xlrd,
               python3-xlwt,
               xvfb,
               xauth,
               xclip,
Build-Depends-Indep:
 ipython3,
# for style.ipynb
 pandoc <!nodoc>,
# these are for not having (as many) exception messages in documentation examples
# RC-buggy python3-feather-format <!nodoc>,
# not in Debian python3-pyarrow <!nodoc> | python3-fastparquet <!nodoc>,
# would rather not add a big dependency (R) right now python3-rpy2 <!nodoc>,
 python3-sqlalchemy <!nodoc>,
 python3-statsmodels <!nodoc>,
 python3-xarray <!nodoc>,
Build-Conflicts: python-tables (= 3.3.0-4), python3-tables (= 3.3.0-4)
X-Python3-Version: >= 3.2
Standards-Version: 4.1.1
Homepage: https://pandas.pydata.org/
Vcs-Browser: https://salsa.debian.org/science-team/pandas
Vcs-Git: https://salsa.debian.org/science-team/pandas.git

Package: python3-pandas
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-numpy (>= 1:1.7~),
         python3-dateutil,
         python3-pandas-lib(>= ${source:Version}),
         python3-pkg-resources,
         python3-six,
Recommends: python3-scipy,
            python3-matplotlib,
            python3-numexpr,
            python3-tables,
            python3-tz,
            python3-xlrd,
            python3-openpyxl, python3-xlwt,
            python3-bs4,
            python3-html5lib,
            python3-lxml,
            python3-html5lib,
Suggests: python-pandas-doc
Description: data structures for "relational" or "labeled" data - Python 3
 pandas is a Python package providing fast, flexible, and expressive
 data structures designed to make working with "relational" or
 "labeled" data both easy and intuitive. It aims to be the fundamental
 high-level building block for doing practical, real world data
 analysis in Python. pandas is well suited for many different kinds of
 data:
 .
  - Tabular data with heterogeneously-typed columns, as in an SQL
    table or Excel spreadsheet
  - Ordered and unordered (not necessarily fixed-frequency) time
    series data.
  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
    row and column labels
  - Any other form of observational / statistical data sets. The data
    actually need not be labeled at all to be placed into a pandas
    data structure
 .
 This package contains the Python 3 version.

Package: python-pandas-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-mathjax
Suggests: python3-pandas
Description: documentation and examples for pandas
 This package contains documentation and example scripts for
 python3-pandas.

Package: python3-pandas-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
Description: low-level implementations and bindings for pandas - Python 3
 This is an add-on package for python-pandas providing
 architecture-dependent extensions.
 .
 This package contains the Python 3 version.
