=== debian/changelog ===
pandas (0.25.3+dfsg-7) unstable; urgency=medium

  * Fix another test failure due to our warnings.
  * Skip rather than xfail crashing tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 26 Feb 2020 18:45:58 +0000

pandas (0.25.3+dfsg-6) unstable; urgency=medium

  * Don't fail tests on our own warnings.
  * Xfail some more HDF tests on non-x86 architectures.
  * Warn that clipboard I/O is broken on big-endian architectures
    and xfail test.
  * Use pytest-forked to isolate (already xfailed) crashing test.
  * Xfail tests that use no-longer-existing URLs.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 26 Feb 2020 07:40:25 +0000

pandas (0.25.3+dfsg-5) unstable; urgency=medium

  * Backport packaging from experimental:
    - Remove unnecessary test skips, and reorganize remaining ones.
    - Use xfails instead of skips.
    - Add warnings for the known non-x86 breakages
      (NaN -> datetime #877754, HDF and Stata I/O #877419).
    - Tell I/O tests where to find the source tree's test data
      instead of skipping them.
    - Stop using deprecated envvar/tag names.
    - Use https for links where available.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 24 Feb 2020 22:38:26 +0000

pandas (0.25.3+dfsg-4) unstable; urgency=medium

  * No-change upload to unstable.  (Closes: #937236, #931557)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 10 Nov 2019 16:35:41 +0000

pandas (0.25.3+dfsg-3) experimental; urgency=medium

  * Fix autopkgtest.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 09 Nov 2019 10:29:47 +0000

pandas (0.25.3+dfsg-2) experimental; urgency=medium

  * Split up the test suite to fit in memory on mipsel,
    and stop ignoring it there.  (Closes: #943732)
  * Reproducibility: use correct path for stripping docs.
  * Declare transition Breaks (see #931557).
  * Tests: ignore warning from Python 3.8.
  * Update d/copyright (some files have moved).
  * Use local requirejs.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 08 Nov 2019 07:56:16 +0000

pandas (0.25.3+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.
  * Drop patch no longer needed.
  * Update autopkgtest dependencies, drop unused link.
  * Better document test skips, remove unnecessary ones.
  * Reproducibility: strip timestamps and build paths,
    use fixed random seeds for building documentation.
  * Ignore test suite on mipsel.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 02 Nov 2019 22:26:31 +0000

pandas (0.25.2+dfsg-2) experimental; urgency=medium

  * Correct path for contributors list, and don't fail when
    not building the -doc package.
  * Try again to fix test failure due to deb_nonversioneer_version.
  * Skip some failing tests on non-Intel (see #943732),
    require other tests to pass.
  * Fix another typo.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 28 Oct 2019 22:06:10 +0000

pandas (0.25.2+dfsg-1) experimental; urgency=medium

  [ Graham Inggs ]
  * Skip python2 test_register_by_default on s390x
  * Fix python2 test failures in certain locales

  [ Yaroslav Halchenko ]
  * Recent upstream release
  * Updated patches
  * Adjusted for the gone ci/print_versions
  * d/control
    - added python{,3}-hypothesis to b-depends

  [ Rebecca N. Palmer ]
  * New upstream release.
  * Upload to experimental, as this is an API break (see #931557).
  * Drop patches fixed upstream, refresh others.
  * Remove Python 2 packages (see #937236).
  * Use Python 3 in shebangs and subprocess calls.
  * Re-enable building on Python 3.8.
  * Use the new location of print_versions.
  * Skip feather tests and remove build-dependency:
    they now need pyarrow.feather, which isn't in Debian.
  * Don't fail tests for our versioneer removal
    or a differently worded error message.
  * Add/update minimum dependency versions.
  * Add numpydoc, nbconvert and pytest-xdist build-depends.
  * Update d/copyright.
  * Pre-generate a contributor list to avoid needing the git log
    at build time (when it won't exist).
  * Allow tests to fail for now.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 28 Oct 2019 07:53:21 +0000

pandas (0.23.3+dfsg-8) unstable; urgency=medium

  * Examples dependencies: re-add statsmodels and xarray;
    also add rpy2 and feather.
  * Use packaged intersphinx indexes.  (Closes: #876417)
  * Use https for intersphinx links.
  * Remove cythonized-files*.  (They are regenerated on each build.)
  * Remove test xfail, as statsmodels has now been fixed.
  * Set Rules-Requires-Root: no.
  * Make documentation Suggest the Python 3 version.
  * Suggest statsmodels.
  * Only use Python 3 sphinx, and mark it -Indep/nodoc.
  * Bump debhelper compat to 12 and use debhelper-compat and pybuild.
  * Remove pycompat and X-Python*-Version.
  * Add missing d/copyright item.
  * Remove obsolete TODOs.
  * Clarify descriptions.
  * Stop referring to examples that no longer exist.
  * Fix typos.
  * Remove old (no longer used) EXCLUDE_TESTS*.
  * Deduplicate documentation files.
  * Use Python 3 shebangs, and fix broken shebang.
  * Add python3-ipykernel, -ipywidgets, -seaborn to
    Build-Depends-Indep.
  * Disable dh_auto_test: it fails, and we run the tests elsewhere.
  * Mark test dependencies nocheck/nodoc.
  * Remove old minimum versions / alternative dependencies.
  * Build-depend on dh-python.
  * Don't build on python3.8, as it will fail tests (see #931557).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 27 Oct 2019 11:38:37 +0000

pandas (0.23.3+dfsg-7) unstable; urgency=medium

  * Revert test patch and use an xfail instead.
  * Temporarily drop statsmodels+xarray Build-Depends, as they are
    uninstallable until this is built.
  * Add python3-xarray to autopkgtest Depends.
  * Drop Python 2 autopkgtest (but keep build-time test).
  * Remove duplicate Recommends.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 20 Sep 2019 08:01:37 +0100

pandas (0.23.3+dfsg-6) unstable; urgency=medium

  * Team upload

