=== debian/rules ===
--- 
+++ 
@@ -13,11 +13,15 @@
 
 PY3VERS = $(shell py3versions -vr)
 PY3VER = $(shell py3versions -vd)
+SOURCE_DATE:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
+SOURCE_TIME:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")
 
 UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g' | sed -e 's,+dfsg,,g')
 # Python doesn't use ~ for rc
 UVER_PY := $(shell echo $(UVER) | sed -e 's,[~],,g')
 UVER_PYSHORT := $(shell echo $(UVER_PY) | sed -e 's,+git.*,,g')
+
+MIN_CYTHONVER = 0.23
 
 # Filter out tests with "marker expressions" and "keyword expressions". Ref: pytest(1)
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), amd64 i386 kfreebsd-amd64 kfreebsd-i386 x32))
@@ -28,17 +32,7 @@
 	PYTEST_KEYWORD_ARCH :=
 endif
 
-# Some unittests might need to be excluded for different Python versions
-PYTEST_MARKER := not single and not network and not disabled $(PYTEST_MARKER_ARCH)
-EXCLUDE_TESTS := 
-EXCLUDE_TESTS2 :=
-EXCLUDE_TESTS3.2 :=
-EXCLUDE_TESTS3.3 := 
-EXCLUDE_TESTS3.4 := $(EXCLUDE_TESTS3.3)
-EXCLUDE_TESTS3.5 := $(EXCLUDE_TESTS3.3)
-EXCLUDE_TESTS3.6 :=
-EXCLUDE_TESTS3.7 :=
-
+PYTEST_MARKER := not network $(PYTEST_MARKER_ARCH)
 
 ADDPATCHES :=
 # testing for version became fragile: https://github.com/pytest-dev/pytest/issues/3692
@@ -76,11 +70,19 @@
 		done; \
 		echo "$(UVER)" >| $$D/VERSION; git add $$D/VERSION
 
+_uncythonize%:
+	echo "$*" | grep -q '^3' && PY=3 || PY= ; \
+	CYTHONVER=$$(dpkg -l cython$$PY 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0); \
+	dpkg --compare-versions "$$CYTHONVER" lt "$(MIN_CYTHONVER)" && { \
+		echo "I: Using pre-Cython-ed files for Python $*"; \
+		cd debian/cythonized-files$$PY/ ; \
+		find . -regex '.*\.c\(\|pp\)' | while read f; do cp $$f ../../$$f; done; } || :
+
 cythonize: _cythonize3
 
 override_dh_clean: clean_generated
 	: # Make sure that cythonized sources are up-to-date
-	[ "$(UVER)" = "`cat debian/cythonized-files/VERSION`" ]
+	[ ! -e debian/cythonized-files3/VERSION ] || [ "$(UVER)" = "`cat debian/cythonized-files3/VERSION`" ]
 	rm -rf build doc/_build *-stamp # pandas.egg-info pandas/datasets/__config__.py
 	dh_clean
 
@@ -89,7 +91,10 @@
       echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/__version.py
 
 override_dh_auto_build: version_py debian/patch-stamp
-	dh_auto_build
+	# Override default build operation which --force's re-cythonization
+	# on elderly ubuntus
+	# Just build the version.py file
+	:
 
 debian/patch-stamp:
 	if echo "${ADDPATCHES}" | sed -e 's,\s,,g' | grep  '.' ; then \
@@ -98,24 +103,24 @@
     fi
 	touch $@
 
-override_dh_auto_install:
-	dh_auto_install
 
-override_dh_auto_test: override_dh_auto_install
-	set -e; \
-	for ver in ${PY3VERS}; do \
-		debian/rules python-test$$ver; \
-	done
+override_dh_auto_install: ${PY3VERS:%=python-install%} ${PY3VERS:%=python-test%}
+# Per Python version logic -- install, test, remomove .so (installed into -lib)
+python-install%: _uncythonize%
+	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
 
-python-test%:
+python-test%: python-install%
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo "backend : Agg" >| $(CURDIR)/build/matplotlibrc
-	: # Run unittests here against installed pandas
-	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$*/*/`; \
-	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-	python$* ci/print_versions.py; \
-    cd build/; LOCALE_OVERRIDE=C xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
-      python$* -m pytest -s -v -m "$(PYTEST_MARKER)" $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) $(EXCLUDE_TESTS_ARCH) $$PYTHONPATH/pandas;
+	: # Run unittests here against installed pandas, in sections to avoid out-of-memory crash (#943732); exit code 5 means no tests in this file
+	echo "$*" | grep -q '^3' && PY=3 || PY=$*; \
+	 export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$$PY/*/`; \
+	 export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
+	 python$* pandas/util/_print_versions.py; \
+	 cd build/; TEST_SUCCESS=true; for TEST_SUBSET in $${PYTHONPATH}/pandas/tests/* ; do \
+	 LOCALE_OVERRIDE=C xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
+	 python$* -m pytest -s -v -m "$(PYTEST_MARKER)" --confcutdir=$${PYTHONPATH}/pandas --deb-data-root-dir=$(CURDIR)/pandas/tests --strict-data-files $${TEST_SUBSET} || test $$? == 5 || TEST_SUCCESS=false \
+	 ; done ; $${TEST_SUCCESS}
 else
 	: # Skip unittests due to nocheck
 endif
@@ -127,16 +132,26 @@
 	: # not building documentation in -a
 else
 	cd doc && PYTHONPATH=$(CURDIR)/$(PACKAGE3_ROOT_DIR)-lib/usr/lib/python3/dist-packages:$(CURDIR)/$(PACKAGE3_ROOT_DIR)/usr/lib/python3/dist-packages MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build LC_ALL=C python3 make.py html
+	# strip build paths and statsmodels timestamps for reproducibility, and online Javascript for privacy
+	for html in `find doc/build/html -name _modules -prune -o -name "*.html" -o -name "*.ipynb"` ; do \
+	    sed -i -e 's#$(CURDIR)/.pybuild/[^/]*/build/pandas/#/usr/lib/python3/dist-packages/pandas/#g' \
+	    -e 's#$(CURDIR)/debian/python3-pandas/usr/lib/python3/dist-packages/pandas/#/usr/lib/python3/dist-packages/pandas/#g' \
+	    -e 's#<script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" type="text/javascript" src="https://cdnjs\.cloudflare\.com/ajax/libs/require\.js/2\.3\.4/require\.min\.js">#<script crossorigin="anonymous" type="text/javascript" src="file:///usr/share/javascript/requirejs/require.min.js">#g' \
+	    -e 's#\(Date:.*\)[A-Z][a-z]\+, \+[0-9]\+,\? \+[A-Z][a-z]\+,\? \+[0-9]\+#\1$(SOURCE_DATE)#g' \
+	    -e 's#\(Time:.*\)[0-9][0-9]:[0-9][0-9]:[0-9][0-9]#\1$(SOURCE_TIME)#g' $${html} ; \
+	done
 endif
 endif
 	: # Use jquery from Debian package, so prune shipped one
 	#TODO -rm doc/_build/html/_static/jquery.js
 	dh_installdocs -A *.md
+	cp -av debian/contributors_list.txt debian/python-pandas-doc/usr/share/doc/python-pandas-doc || true
+	# deduplicate files - the ||true is because we only build-depend on jdupes if we're building documentation
+	jdupes -r -l debian/python-pandas-doc/usr/share/doc || true
 
 override_dh_install:
+	dh_install
 	find debian -name __pycache__ | xargs rm -rf
-	mv debian/tmp/usr/lib/python3.7 debian/tmp/usr/lib/python3
-	dh_install
 
 ## remove .so libraries from main package, and call dh_numpy*
 ## while removing 2 if not present
@@ -152,8 +167,6 @@
 override_dh_compress:
 	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv
 
-# This has no effect at all since the tests are run in binary-arch instead of auto_test ...
-#ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),  armhf mips s390x hppa powerpc ppc64 sparc64))
-#override_dh_auto_test:
-#	dh_auto_test || true
-#endif
+override_dh_auto_test:
+	# do nothing here, we run tests in python-test% instead
+	true
