=== debian/tests/control ===
--- 
+++ 
@@ -5,24 +5,27 @@
 # See: pandas/util/_tester.py
 
 Tests: unittests3
-Depends: python3-all,
-         python3-arrow,
+Depends: locales-all,
+         python3-all,
          python3-bs4,
          python3-dateutil,
          python3-html5lib,
+         python3-hypothesis,
          python3-lxml,
-         python3-matplotlib [!hurd-i386]| python-matplotlib (<< 1.2.0~) [!hurd-i386],
+         python3-matplotlib [!hurd-i386],
          python3-nose,
-         python3-numpy (>= 1:1.7~),
+         python3-numpy (>= 1:1.15~),
          python3-openpyxl,
          python3-pandas,
-         python3-pytest,
+         python3-pytest (>= 4.0.2~),
+         python3-pytest-forked,
          python3-scipy,
          python3-six,
-         python3-sphinx (>= 1.0~),
-         python3-tables [!m68k !sh4 !x32],
+         python3-statsmodels,
+         python3-tables (>= 3.4.2~) [!m68k !sh4 !x32],
          python3-tk,
          python3-tz,
+         python3-xarray,
          python3-xlrd,
          python3-xlsxwriter,
          python3-xlwt,
